Subject: Re: a problem with git describe

From: Junio C Hamano <[email-masked]>
Date: Sun, 24 Apr 2022 23:39:27 -0700

Carlo Marcelo Arenas Belón <[email-masked]> writes:

> At that point, though you might as well excempt root from this check

But "root" or any higher-valued account is what needs this kind of
protection the most, no?  The protection is *not* about people
knowingly accessing their own repository via "root", but those who
are in a directory without being aware of its repository-ness.  You
prepare /var/tmp/.git/ and let others do things that they would do
in /var/tmp/ throw-away directories normally and get affected by
what you leave in /var/tmp/.git/config file.  If "root" is among
these "others", that sounds like you caught a bigger fish X-<.